import cmath, math, random, time

# 1.
res = divmod(math.floor(round(cmath.phase(0.2+0.8j), 2) * 20), 3)
print(res)

# 2.
Msk = time.localtime()
print(Msk)

stroka = Msk.tm_hour , Msk.tm_min
print(stroka)

# 3.
Week = ["Пн","Вт","Ср","Чт","Пт","Сб","Вс"]
print(random.sample(Week, 3))

# 4.
row = [14, 17, 20, 23, 26, 29, 32]
hm = random.choice(row)
print(hm)

# 5.

G = round(random.gauss(15, 4))

Alph = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z']
        
Spisok = random.sample(Alph, G)

print(Spisok)

# 6.
minute = time.localtime().tm_min  -  Msk.tm_min
print(minute)
